Po upgrade nejde 3D akcelerácia

Po upgrade nejde 3D akcelerácia
« kdy: 17. 06. 2011, 15:58:02 »
Zdravim.

Dneska som upgradoval nejake balicky a odvtedy nejde 3D akceleracia. Po zadani prikazu glxgears sa zobrazi tato chyba:
Kód: [Vybrat]
Error: couldn't get an RGB, Double-buffered visual
Po zadani glxinfo zase takato chyba:
Kód: [Vybrat]
name of display: :0
Error: couldn't find RGB GLX visual or fbconfig

Nasiel som taky isty problem a jedina rada tam bola, aby som downgradoval balicky z Debian Testing, lenze ja Debian Testing pouzivam (dotycny mal problem pri verzii Sid): http://forums.debian.net/viewtopic.php?f=7&t=65539

Tieto balicky sa mi dneska aktualizovali:
Kód: [Vybrat]
bsdmainutils (8.2.2) to 8.2.3
cmake (2.8.4+dfsg.1-2) to 2.8.4+dfsg.1-5
cmake-data (2.8.4+dfsg.1-2) to 2.8.4+dfsg.1-5
cron (3.0pl1-116) to 3.0pl1-118
dbus (1.4.8-3) to 1.4.12-2
dbus-x11 (1.4.8-3) to 1.4.12-2
fancontrol (1:3.3.0-2) to 1:3.3.0-3
gnome-keyring (3.0.0-3) to 3.0.3-2
google-chrome-stable (12.0.742.91-r87961) to 12.0.742.100-r88853
groff (1.21-5) to 1.21-6
groff-base (1.21-5) to 1.21-6
gucharmap (1:2.30.3-1) to 1:3.0.1-1
hddtemp (0.3-beta15-46) to 0.3-beta15-48
jitsi (1.0-beta1-nightly.build.3531) to 1.0-beta1-nightly.build.3544
libaprutil1 (1.3.10+dfsg-2) to 1.3.12+dfsg-2
libdbus-1-3 (1.4.8-3) to 1.4.12-2
libgck0 (3.0.0-3) to 3.0.3-2
libgcr-3-0 (3.0.0-3) to 3.0.3-2
libgtk-3-0 (3.0.8-1) to 3.0.10-1
libgtk-3-common (3.0.8-1) to 3.0.10-1
libgucharmap7 (1:2.30.3-1) to 1:3.0.1-1
libgweather-common (2.30.3-1) to 3.0.2-1
libmysqlclient16 (5.1.49-3) to 5.1.57-1.3
libpam-gnome-keyring (3.0.0-3) to 3.0.3-2
libpam-modules (1.1.2-3) to 1.1.3-1
libpam-runtime (1.1.2-3) to 1.1.3-1
libpam0g (1.1.2-3) to 1.1.3-1
librdf0 (1.0.13-2) to 1.0.13-3
librsvg2-2 (2.32.1-1) to 2.34.0-1
librsvg2-common (2.32.1-1) to 2.34.0-1
libsensors4 (1:3.3.0-2) to 1:3.3.0-3
libsmbclient (2:3.5.8~dfsg-1) to 2:3.5.8~dfsg-5
libsrtp0 (1.4.4~dfsg-6) to 1.4.4+20100615~dfsg-1
libwbclient0 (2:3.5.8~dfsg-1) to 2:3.5.8~dfsg-5
lm-sensors (1:3.3.0-2) to 1:3.3.0-3
mysql-common (5.1.49-3) to 5.1.57-1.3
rsyslog (5.8.0-1) to 5.8.1-1
xserver-xephyr (2:1.10.2-1) to 2:1.10.2-1+b1
xserver-xorg-core (2:1.10.2-1) to 2:1.10.2-1+b1

Byly nainstalovány následující balíky:
dconf-gsettings-backend (0.7.5-2)
libgucharmap-2-90-7 (1:3.0.1-1)
« Poslední změna: 17. 06. 2011, 16:57:44 od Petr Krčmář »
OS: Debian Testing 64bit, Kernel 3.16, GNOME 3.14/3.16
NB: Lenovo G550, Intel Pentium Dual-Core T4200 2.0GHz, RAM 3GB 1066MHz, Samsung SSD 250GB, Intel GMA X4500 256MB


Re: po upgrade xserver nejde 3D akceleracia
« Odpověď #1 kdy: 17. 06. 2011, 16:48:33 »
Pokud vrátíte původní verzi xorg balíčků, funguje všechno OK?

Re: Po upgrade nejde 3D akcelerácia
« Odpověď #2 kdy: 17. 06. 2011, 18:35:06 »
Ako sa da vratit k povodnej verzii balickov? Konkretne teda xserver-xephyr, xserver-xorg-core z verzie 2:1.10.2-1+b1 na 2:1.10.2-1 .. teda ak sa to vobec da, lebo do tejto aktualizacie bolo vsetko v poriadku.
OS: Debian Testing 64bit, Kernel 3.16, GNOME 3.14/3.16
NB: Lenovo G550, Intel Pentium Dual-Core T4200 2.0GHz, RAM 3GB 1066MHz, Samsung SSD 250GB, Intel GMA X4500 256MB

Re: Po upgrade nejde 3D akcelerácia
« Odpověď #3 kdy: 17. 06. 2011, 18:48:48 »
Edit:

Nasiel som tuto stranku: http://snapshot.debian.org/ kde su aj starsie balicky a po downgrade xserver-xephyr a xserver-xorg-core z verzie 2:1.10.2-1+b1 naspat na verziu 2:1.10.2-1 je vsetko v poriadku ..
OS: Debian Testing 64bit, Kernel 3.16, GNOME 3.14/3.16
NB: Lenovo G550, Intel Pentium Dual-Core T4200 2.0GHz, RAM 3GB 1066MHz, Samsung SSD 250GB, Intel GMA X4500 256MB

trubicoid2

Re: Po upgrade nejde 3D akcelerácia
« Odpověď #4 kdy: 17. 06. 2011, 19:02:35 »
downgrade netreba, maji tam nejakej problem s adresarema, mel jsem to dneska v praci

udelej cat /var/log/Xorg.log | grep EE a tam je to napsany, v mym pripade nemohl najit soubor r600....

tak jsem udelal soft link /usr/lib/linux-x86_64 na /usr/lib a pak uz to bylo v pohode, jenom to jmeno si nepamatuju presne, koukni do logu


Re: Po upgrade nejde 3D akcelerácia
« Odpověď #5 kdy: 18. 06. 2011, 09:15:04 »
trubicoid2: vyborne, pozrel som log, spravil symbolicky odkaz tam kde bolo treba a vsetko funguje ako ma, takze vyriesene, dakujem.
OS: Debian Testing 64bit, Kernel 3.16, GNOME 3.14/3.16
NB: Lenovo G550, Intel Pentium Dual-Core T4200 2.0GHz, RAM 3GB 1066MHz, Samsung SSD 250GB, Intel GMA X4500 256MB